session
Post apiv1variants resync
POST
/
api
/
v1
/
variants
/
{variantId}
/
resync
cURL
curl --request POST \
--url https://tessera.edstratumlabs.ai/api/v1/variants/{variantId}/resync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"blockIds": [
"<string>"
]
}
'import requests
url = "https://tessera.edstratumlabs.ai/api/v1/variants/{variantId}/resync"
payload = { "blockIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({blockIds: ['<string>']})
};
fetch('https://tessera.edstratumlabs.ai/api/v1/variants/{variantId}/resync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lesson": {
"id": "<string>",
"moduleId": "<string>",
"courseId": "<string>",
"title": "<string>",
"minutes": 120,
"position": 4503599627370495,
"status": "draft",
"publishedAt": "<string>",
"templateKey": "<string>",
"variantOf": {
"lessonId": "<string>",
"audience": "plain",
"syncedAt": "<string>"
}
},
"moduleTitle": "<string>",
"courseTitle": "<string>",
"blocks": [
{
"id": "<string>",
"lessonId": "<string>",
"position": 4503599627370495,
"origin": "human",
"aiState": "draft",
"provenance": {
"model": "<string>",
"task": "brief",
"generatedAt": "<string>",
"sources": [
{
"id": "<string>",
"name": "<string>"
}
],
"summary": "<string>"
},
"previous": {
"type": "heading",
"level": 2,
"text": "<string>"
},
"updatedAt": "<string>",
"type": "heading",
"level": 2,
"text": "<string>",
"templateKey": "<string>",
"source": {
"blockId": "<string>",
"hash": "<string>"
}
}
],
"readiness": {
"ready": true,
"issues": [
{
"code": "empty-lesson",
"blockId": "<string>",
"message": "<string>"
}
],
"aiBlocks": 1,
"keptAiBlocks": 1,
"accessPolicy": {
"score": 50,
"reasons": [
"<string>"
]
},
"rubric": {
"rubricName": "<string>",
"percent": 50,
"minimum": 50
}
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Scoped tsk_… API token or Access JWT
Path Parameters
Minimum string length:
1Body
application/json
Minimum string length:
1Response
Success
Show child attributes
Show child attributes
Minimum string length:
1Minimum string length:
1- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
cURL
